Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Bool2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Bool2DebugStringFormatter.cs	(revision 1616)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Bool2DebugStringFormatter.cs	(revision 1623)
@@ -6,4 +6,5 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
+using HeuristicLab.Persistence.Default.Decomposers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Byte2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Byte2DebugStringFormatter.cs	(revision 1616)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Byte2DebugStringFormatter.cs	(revision 1623)
@@ -6,4 +6,5 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
+using HeuristicLab.Persistence.Default.Decomposers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/DateTime2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/DateTime2DebugStringFormatter.cs	(revision 1616)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/DateTime2DebugStringFormatter.cs	(revision 1623)
@@ -6,4 +6,5 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
+using HeuristicLab.Persistence.Default.Decomposers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Doubld2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Doubld2DebugStringFormatter.cs	(revision 1616)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Doubld2DebugStringFormatter.cs	(revision 1623)
@@ -6,4 +6,5 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
+using HeuristicLab.Persistence.Default.Decomposers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Float2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Float2DebugStringFormatter.cs	(revision 1616)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Float2DebugStringFormatter.cs	(revision 1623)
@@ -6,4 +6,5 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
+using HeuristicLab.Persistence.Default.Decomposers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Int2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Int2DebugStringFormatter.cs	(revision 1616)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Int2DebugStringFormatter.cs	(revision 1623)
@@ -6,4 +6,5 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
+using HeuristicLab.Persistence.Default.Decomposers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Long2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Long2DebugStringFormatter.cs	(revision 1616)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Long2DebugStringFormatter.cs	(revision 1623)
@@ -6,4 +6,5 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
+using HeuristicLab.Persistence.Default.Decomposers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/SByte2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/SByte2DebugStringFormatter.cs	(revision 1616)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/SByte2DebugStringFormatter.cs	(revision 1623)
@@ -6,4 +6,5 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
+using HeuristicLab.Persistence.Default.Decomposers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Short2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Short2DebugStringFormatter.cs	(revision 1616)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Short2DebugStringFormatter.cs	(revision 1623)
@@ -6,4 +6,5 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
+using HeuristicLab.Persistence.Default.Decomposers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/String2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/String2DebugStringFormatter.cs	(revision 1616)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/String2DebugStringFormatter.cs	(revision 1623)
@@ -6,4 +6,5 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
+using HeuristicLab.Persistence.Default.Decomposers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Type2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Type2DebugStringFormatter.cs	(revision 1616)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/Type2DebugStringFormatter.cs	(revision 1623)
@@ -6,4 +6,5 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
+using HeuristicLab.Persistence.Default.Decomposers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/UInt2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/UInt2DebugStringFormatter.cs	(revision 1616)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/UInt2DebugStringFormatter.cs	(revision 1623)
@@ -6,4 +6,5 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
+using HeuristicLab.Persistence.Default.Decomposers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/ULong2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/ULong2DebugStringFormatter.cs	(revision 1616)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/ULong2DebugStringFormatter.cs	(revision 1623)
@@ -6,4 +6,5 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
+using HeuristicLab.Persistence.Default.Decomposers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.Formatters {
Index: trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/UShort2DebugStringFormatter.cs
===================================================================
--- trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/UShort2DebugStringFormatter.cs	(revision 1616)
+++ trunk/sources/HeuristicLab.Persistence/3.3/Default/DebugString/Formatters/UShort2DebugStringFormatter.cs	(revision 1623)
@@ -6,4 +6,5 @@
 using HeuristicLab.Persistence.Core;
 using HeuristicLab.Persistence.Core.Tokens;
+using HeuristicLab.Persistence.Default.Decomposers.Storable;
 
 namespace HeuristicLab.Persistence.Default.DebugString.Formatters {