Index: /trunk/sources/HeuristicLab.Security.ADODataAccess/3.2/ADODataAccessPlugin.cs
===================================================================
--- /trunk/sources/HeuristicLab.Security.ADODataAccess/3.2/ADODataAccessPlugin.cs	(revision 1629)
+++ /trunk/sources/HeuristicLab.Security.ADODataAccess/3.2/ADODataAccessPlugin.cs	(revision 1629)
@@ -0,0 +1,33 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Text;
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Security.DataAccess {
+  [ClassInfo(Name = "HeuristicLab.Security.ADODataAccess-3.2")]
+  [PluginFile(Filename = "HeuristicLab.Security.ADODataAccess-3.2.dll", Filetype = PluginFileType.Assembly)]
+  [Dependency(Dependency = "HeuristicLab.Core-3.2")]
+  public class SecurityDataAccessPlugin : PluginBase {
+  }
+}
Index: /trunk/sources/HeuristicLab.Security.ADODataAccess/3.2/HeuristicLab.Security.ADODataAccess-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Security.ADODataAccess/3.2/HeuristicLab.Security.ADODataAccess-3.2.csproj	(revision 1629)
+++ /trunk/sources/HeuristicLab.Security.ADODataAccess/3.2/HeuristicLab.Security.ADODataAccess-3.2.csproj	(revision 1629)
@@ -0,0 +1,67 @@
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project ToolsVersion="3.5" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+  <PropertyGroup>
+    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
+    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
+    <ProductVersion>9.0.30729</ProductVersion>
+    <SchemaVersion>2.0</SchemaVersion>
+    <ProjectGuid>{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}</ProjectGuid>
+    <OutputType>Library</OutputType>
+    <AppDesignerFolder>Properties</AppDesignerFolder>
+    <RootNamespace>HeuristicLab.Security.ADODataAccess_3._2</RootNamespace>
+    <AssemblyName>HeuristicLab.Security.ADODataAccess-3.2</AssemblyName>
+    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
+    <FileAlignment>512</FileAlignment>
+    <StartupObject>
+    </StartupObject>
+    <SignAssembly>true</SignAssembly>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
+    <DebugSymbols>true</DebugSymbols>
+    <DebugType>full</DebugType>
+    <Optimize>false</Optimize>
+    <OutputPath>bin\Debug\</OutputPath>
+    <DefineConstants>DEBUG;TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
+    <DebugType>pdbonly</DebugType>
+    <Optimize>true</Optimize>
+    <OutputPath>bin\Release\</OutputPath>
+    <DefineConstants>TRACE</DefineConstants>
+    <ErrorReport>prompt</ErrorReport>
+    <WarningLevel>4</WarningLevel>
+  </PropertyGroup>
+  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
+  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
+       Other similar extension points exist, see Microsoft.Common.targets.
+  <Target Name="BeforeBuild">
+  </Target>
+  <Target Name="AfterBuild">
+  </Target>
+  -->
+  <ItemGroup>
+    <None Include="HeuristicLab.snk" />
+    <None Include="Properties\AssemblyInfo.frame" />
+  </ItemGroup>
+  <PropertyGroup>
+    <PreBuildEvent>set Path=%25Path%25;$(ProjectDir);$(SolutionDir)
+set ProjectDir=$(ProjectDir)
+set SolutionDir=$(SolutionDir)
+set Outdir=$(Outdir)
+
+call PreBuildEvent.cmd</PreBuildEvent>
+  </PropertyGroup>
+  <ItemGroup>
+    <Compile Include="ADODataAccessPlugin.cs" />
+    <Compile Include="Properties\AssemblyInfo.cs" />
+  </ItemGroup>
+  <ItemGroup>
+    <ProjectReference Include="..\..\HeuristicLab.PluginInfrastructure\HeuristicLab.PluginInfrastructure.csproj">
+      <Project>{94186A6A-5176-4402-AE83-886557B53CCA}</Project>
+      <Name>HeuristicLab.PluginInfrastructure</Name>
+    </ProjectReference>
+  </ItemGroup>
+</Project>
Index: /trunk/sources/HeuristicLab.Security.ADODataAccess/3.2/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Security.ADODataAccess/3.2/Properties/AssemblyInfo.frame	(revision 1629)
+++ /trunk/sources/HeuristicLab.Security.ADODataAccess/3.2/Properties/AssemblyInfo.frame	(revision 1629)
@@ -0,0 +1,59 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+using HeuristicLab.PluginInfrastructure;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Security.ADODataAccess")]
+[assembly: AssemblyDescription("")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2008 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("35D8C228-76AF-4bcf-8002-9D41C7B3D29D")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("3.2.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.2.0.$WCREV$")]
+[assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Security.Contracts/3.2/HeuristicLab.Security.Contracts-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Security.Contracts/3.2/HeuristicLab.Security.Contracts-3.2.csproj	(revision 1628)
+++ /trunk/sources/HeuristicLab.Security.Contracts/3.2/HeuristicLab.Security.Contracts-3.2.csproj	(revision 1629)
@@ -15,4 +15,6 @@
     <StartupObject>
     </StartupObject>
+    <SignAssembly>true</SignAssembly>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
Index: /trunk/sources/HeuristicLab.Security.Core/3.2/HeuristicLab.Security.Core-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Security.Core/3.2/HeuristicLab.Security.Core-3.2.csproj	(revision 1628)
+++ /trunk/sources/HeuristicLab.Security.Core/3.2/HeuristicLab.Security.Core-3.2.csproj	(revision 1629)
@@ -13,4 +13,6 @@
     <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
     <FileAlignment>512</FileAlignment>
+    <SignAssembly>true</SignAssembly>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
@@ -70,4 +72,5 @@
   </ItemGroup>
   <ItemGroup>
+    <None Include="HeuristicLab.snk" />
     <None Include="Properties\AssemblyInfo.frame" />
   </ItemGroup>
Index: /trunk/sources/HeuristicLab.Security.DataAccess/3.2/HeuristicLab.Security.DataAccess-3.2.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Security.DataAccess/3.2/HeuristicLab.Security.DataAccess-3.2.csproj	(revision 1628)
+++ /trunk/sources/HeuristicLab.Security.DataAccess/3.2/HeuristicLab.Security.DataAccess-3.2.csproj	(revision 1629)
@@ -15,4 +15,6 @@
     <StartupObject>
     </StartupObject>
+    <SignAssembly>true</SignAssembly>
+    <AssemblyOriginatorKeyFile>HeuristicLab.snk</AssemblyOriginatorKeyFile>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
Index: /trunk/sources/HeuristicLab.sln
===================================================================
--- /trunk/sources/HeuristicLab.sln	(revision 1628)
+++ /trunk/sources/HeuristicLab.sln	(revision 1629)
@@ -164,4 +164,6 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Persistence.UnitTest", "HeuristicLab.Persistence\UnitTests\HeuristicLab.Persistence.UnitTest.csproj", "{BF7D9494-A586-457B-8DF9-ED599F9E6A71}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Security.ADODataAccess-3.2", "HeuristicLab.Security.ADODataAccess\3.2\HeuristicLab.Security.ADODataAccess-3.2.csproj", "{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}"
 EndProject
 Global
@@ -269,31 +271,4 @@
 		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Visualization Debug|x86.ActiveCfg = Debug|x86
 		{D3F92C1F-42B4-4EFB-9E73-B64FD3428ADE}.Visualization Debug|x86.Build.0 = Debug|x86
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.CEDMA Debug|x64.ActiveCfg = Debug|x64
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.CEDMA Debug|x64.Build.0 = Debug|x64
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.CEDMA Debug|x86.ActiveCfg = Debug|Any CPU
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.Debug|x64.ActiveCfg = Debug|x64
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.Debug|x64.Build.0 = Debug|x64
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.Debug|x86.ActiveCfg = Debug|x86
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.Debug|x86.Build.0 = Debug|x86
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.GP Debug|x64.ActiveCfg = Debug|x64
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.GP Debug|x64.Build.0 = Debug|x64
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.GP Debug|x86.ActiveCfg = Debug|Any CPU
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.Release|Any CPU.Build.0 = Release|Any CPU
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.Release|x64.ActiveCfg = Release|x64
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.Release|x64.Build.0 = Release|x64
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.Release|x86.ActiveCfg = Release|x86
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.Release|x86.Build.0 = Release|x86
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.Visualization Debug|x64.ActiveCfg = Debug|x64
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.Visualization Debug|x64.Build.0 = Debug|x64
-		{E2245078-6F40-449E-A370-01A97A7C5E6A}.Visualization Debug|x86.ActiveCfg = Debug|Any CPU
 		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{74752FCD-9E10-48DB-9AF2-AF5518B62807}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -2466,4 +2441,39 @@
 		{583705E2-B1F7-42B8-8149-96E7AECA171A}.Visualization Debug|x64.ActiveCfg = Debug|Any CPU
 		{583705E2-B1F7-42B8-8149-96E7AECA171A}.Visualization Debug|x86.ActiveCfg = Debug|Any CPU
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.CEDMA Debug|x64.ActiveCfg = Debug|x64
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.CEDMA Debug|x86.ActiveCfg = Debug|x86
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Debug|x64.ActiveCfg = Debug|x64
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Debug|x86.ActiveCfg = Debug|x86
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.GP Debug|x64.ActiveCfg = Debug|x64
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.GP Debug|x86.ActiveCfg = Debug|x86
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Release|x64.ActiveCfg = Release|x64
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Release|x86.ActiveCfg = Release|x86
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Visualization Debug|x64.ActiveCfg = Debug|x64
+		{BF7D9494-A586-457B-8DF9-ED599F9E6A71}.Visualization Debug|x86.ActiveCfg = Debug|x86
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.CEDMA Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.CEDMA Debug|Any CPU.Build.0 = Debug|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.CEDMA Debug|x64.ActiveCfg = Debug|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.CEDMA Debug|x86.ActiveCfg = Debug|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.GP Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.GP Debug|Any CPU.Build.0 = Debug|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.GP Debug|x64.ActiveCfg = Debug|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.GP Debug|x86.ActiveCfg = Debug|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|Any CPU.Build.0 = Release|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|x64.ActiveCfg = Release|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Release|x86.ActiveCfg = Release|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Visualization Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Visualization Debug|Any CPU.Build.0 = Debug|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Visualization Debug|x64.ActiveCfg = Debug|Any CPU
+		{FD1AFEC2-7A79-45CF-9365-5195B04A2C9F}.Visualization Debug|x86.ActiveCfg = Debug|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
Index: /trunk/sources/HeuristicLab/CopyAssemblies.cmd
===================================================================
--- /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 1628)
+++ /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 1629)
@@ -88,4 +88,8 @@
 copy "%SolutionDir%\HeuristicLab.Visualization\3.2\%Outdir%\HeuristicLab.Visualization-3.2.dll" .\plugins
 copy "%SolutionDir%\HeuristicLab.Visualization.Test\3.2\%Outdir%\HeuristicLab.Visualization.Test-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Security.Contracts\3.2\%Outdir%\HeuristicLab.Security.Contracts-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Security.Core\3.2\%Outdir%\HeuristicLab.Security.Core-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Security.DataAccess\3.2\%Outdir%\HeuristicLab.Security.DataAccess-3.2.dll" .\plugins
+copy "%SolutionDir%\HeuristicLab.Security.ADODataAccess\3.2\%Outdir%\HeuristicLab.Security.ADODataAccess-3.2.dll" .\plugins
 
 echo "Platform: %Platform%, architecture: %PROCESSOR_ARCHITECTURE%"