Index: trunk/sources/HeuristicLab.Security.ADODataAccess/3.2/Properties/Settings.Designer.cs
===================================================================
--- trunk/sources/HeuristicLab.Security.ADODataAccess/3.2/Properties/Settings.Designer.cs	(revision 1639)
+++ trunk/sources/HeuristicLab.Security.ADODataAccess/3.2/Properties/Settings.Designer.cs	(revision 1639)
@@ -0,0 +1,37 @@
+﻿//------------------------------------------------------------------------------
+// <auto-generated>
+//     This code was generated by a tool.
+//     Runtime Version:2.0.50727.3082
+//
+//     Changes to this file may cause incorrect behavior and will be lost if
+//     the code is regenerated.
+// </auto-generated>
+//------------------------------------------------------------------------------
+
+namespace HeuristicLab.Security.ADODataAccess_3._2.Properties {
+    
+    
+    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
+    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "9.0.0.0")]
+    internal sealed partial class Settings : global::System.Configuration.ApplicationSettingsBase {
+        
+        private static Settings defaultInstance = ((Settings)(global::System.Configuration.ApplicationSettingsBase.Synchronized(new Settings())));
+        
+        public static Settings Default {
+            get {
+                return defaultInstance;
+            }
+        }
+        
+        [global::System.Configuration.ApplicationScopedSettingAttribute()]
+        [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
+        [global::System.Configuration.SpecialSettingAttribute(global::System.Configuration.SpecialSetting.ConnectionString)]
+        [global::System.Configuration.DefaultSettingValueAttribute("Data Source=10.20.71.10;Initial Catalog=HeuristicLab.Security;Persist Security In" +
+            "fo=True;User ID=hive;Password=hive")]
+        public string HeuristicLab_SecurityConnectionString {
+            get {
+                return ((string)(this["HeuristicLab_SecurityConnectionString"]));
+            }
+        }
+    }
+}
Index: trunk/sources/HeuristicLab.Security.ADODataAccess/3.2/Properties/Settings.settings
===================================================================
--- trunk/sources/HeuristicLab.Security.ADODataAccess/3.2/Properties/Settings.settings	(revision 1639)
+++ trunk/sources/HeuristicLab.Security.ADODataAccess/3.2/Properties/Settings.settings	(revision 1639)
@@ -0,0 +1,14 @@
+﻿<?xml version='1.0' encoding='utf-8'?>
+<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)" GeneratedClassNamespace="HeuristicLab.Security.ADODataAccess_3._2.Properties" GeneratedClassName="Settings">
+  <Profiles />
+  <Settings>
+    <Setting Name="HeuristicLab_SecurityConnectionString" Type="(Connection string)" Scope="Application">
+      <DesignTimeValue Profile="(Default)">&lt;?xml version="1.0" encoding="utf-16"?&gt;
+&lt;SerializableConnectionString xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema"&gt;
+  &lt;ConnectionString&gt;Data Source=10.20.71.10;Initial Catalog=HeuristicLab.Security;Persist Security Info=True;User ID=hive;Password=hive&lt;/ConnectionString&gt;
+  &lt;ProviderName&gt;System.Data.SqlClient&lt;/ProviderName&gt;
+&lt;/SerializableConnectionString&gt;</DesignTimeValue>
+      <Value Profile="(Default)">Data Source=10.20.71.10;Initial Catalog=HeuristicLab.Security;Persist Security Info=True;User ID=hive;Password=hive</Value>
+    </Setting>
+  </Settings>
+</SettingsFile>
Index: trunk/sources/HeuristicLab.Security.ADODataAccess/3.2/app.config
===================================================================
--- trunk/sources/HeuristicLab.Security.ADODataAccess/3.2/app.config	(revision 1639)
+++ trunk/sources/HeuristicLab.Security.ADODataAccess/3.2/app.config	(revision 1639)
@@ -0,0 +1,10 @@
+﻿<?xml version="1.0" encoding="utf-8" ?>
+<configuration>
+    <configSections>
+    </configSections>
+    <connectionStrings>
+        <add name="HeuristicLab.Security.ADODataAccess_3._2.Properties.Settings.HeuristicLab_SecurityConnectionString"
+            connectionString="Data Source=10.20.71.10;Initial Catalog=HeuristicLab.Security;Persist Security Info=True;User ID=hive;Password=hive"
+            providerName="System.Data.SqlClient" />
+    </connectionStrings>
+</configuration>